Bug 822886 - [eap6] JNDIView operation fails
[eap6] JNDIView operation fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 823582
  Show dependency treegraph
 
Reported: 2012-05-18 08:14 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 823582 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:09:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-05-18 08:14:17 EDT
Description of problem:  JNDIView operation fails


Version-Release number of selected component (if applicable):
JON 3.1.Beta1, EAP6.ER6

How reproducible:always


Steps to Reproduce:
1.import EAP6 standalone
2.navigate to naming child resource
3.start "JNDIView" operation
  
Actual results: Operation fails
java.lang.NullPointerException
	at org.rhq.modules.plugins.jbossas7.NamingComponent.fillMap(NamingComponent.java:59)
	at org.rhq.modules.plugins.jbossas7.NamingComponent.invokeOperation(NamingComponent.java:48)

Expected results: operation is successfull


Additional info:
Comment 1 Heiko W. Rupp 2012-05-21 11:02:58 EDT
master a2b225c
Comment 2 Heiko W. Rupp 2012-05-21 11:03:51 EDT
Note: this NPE only happened if no app was deployed - so to test you need an "empty" AS7 out of the box
Comment 3 Armine Hovsepyan 2012-07-25 09:46:07 EDT
verified for "clean" EAP
verified for EAP with deployed war.

no errors in eap, jon-server and jon-agent logs. verified version: rhq-4.5.0
Comment 4 Heiko W. Rupp 2013-08-31 06:09:59 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.